> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pay4power.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pay4power.com/_mcp/server.

# Initiate

POST https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b/b2b/tv/initiate
Content-Type: application/json

Creates a TV subscription transaction and prepares it for final payment and vending.

Reference: https://docs.pay4power.com/tv/initiate

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /b2b/tv/initiate:
    post:
      operationId: initiate
      summary: Initiate
      description: >-
        Creates a TV subscription transaction and prepares it for final payment
        and vending.
      tags:
        - subpackage_tv
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response with status 200
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  description: Any type
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                description: Any type
servers:
  - url: https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b
    description: Default
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## Examples

**Request**

```json
{
  "receiver": "1212121212",
  "package": "dstv-padi"
}
```

**Response**

```json
{
  "success": true,
  "message": "Mock initiation successful",
  "errors": null,
  "statusCode": 200,
  "correlationId": "834bcac2-2fb5-498a-9391-2b209ac43766",
  "data": {
    "providerLogo": "https://pay4power-uploads.s3.eu-west-1.amazonaws.com/Electricity/AEDC.png",
    "verificationReference": "17C156F255C711F19418E8B9E75B0F3B",
    "provider": "DSTV",
    "receiver": "1212121212",
    "customerName": "DEV MOCK CUSTOMER",
    "customerAddress": "DEV MOCK ADDRESS",
    "amount": 1000,
    "commission": {
      "commissionAmount": 0,
      "commissionPercentage": "0",
      "commissionCap": 0,
      "isCustomRate": false
    }
  }
}
```